Subject: bug#58520: Persistent failure to DNS-lookup hostname

From: Stefan Monnier <[email-masked]>
Date: Mon, 18 Dec 2023 12:41:00 -0500

>> Cc: [email-masked], Paul Eggert <[email-masked]>
>> Date: Sun, 17 Dec 2023 18:27:10 -0500
>> From:  Stefan Monnier via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <[email-masked]>
>> 
>> > P.S. It would be nice to have that patch that you mentioned that added a
>> >      function that fixes the broken requests.
>> 
>> I use the patch below.
>> When Emacs gets into this weird state, I do `M-: (res-init) RET` after
>> which I can connect again.
>
> Why do you need Emacs for that?  Write a small program that calls
> res_init, and that's it.

I don't understand what you mean.  The problem is in the running Emacs
session, not in the overall system.  I'd have to write a separate
program that goes and "pokes" inside my running Emacs process, which
sounds quite complicated.

IOW, `res_init` only affects the running program.

        Stefan